<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <title>Sign up - Spotify</title>
</head>
<div style="display: flex; justify-content:center; padding-top:50px;">
    <a href="{{ url_for('index') }}"><img height=50px width=170px src="{{ url_for('static',filename='img/SpotifyLogoBlack.png') }}" alt="Spotify"></a>
</div>
<hr>
<div style="display: flex; justify-content:center;">
    <form action="" method="post">
        {{ form.hidden_tag() }}
        <h5 style="text-align: center"> <b>Sign up with your email address</b> </h5>
        <div class="form-group">
            {{ form.email(size=64) }}<br> {% for error in form.email.errors %}
            <span style="color: red;">[{{ error }}]</span> {% endfor %}
        </div>
        <div class="form-group">
            {{ form.email2(size=64) }}<br> {% for error in form.email.errors %}
            <span style="color: red;">[{{ error }}]</span> {% endfor %}
        </div>
        <div class="form-group">
            {{ form.password(size=64) }}<br> {% for error in form.email.errors %}
            <span style="color: red;">[{{ error }}]</span> {% endfor %}
        </div>
        <div class="form-group">
            {{ form.username(size=64) }}<br> {% for error in form.email.errors %}
            <span style="color: red;">[{{ error }}]</span> {% endfor %}
        </div>
        <div class="form-group" style="color: gray"> Date of birth <br>
            <div style="display: flex; justify-content:space-around;">
                {{ form.year(size=10) }}
                <div style="width: 30%;">{{form.month }}</div>
                {{ form.date(size=10) }}
                <br> {% for error in form.email.errors %}
                <span style="color: red;">[{{ error }}]</span> {% endfor %}
            </div>
        </div>
        <div class="form-group">
            {{ form.gender }}
        </div>
        <div class="form-group">
            {{ form.submit() }}
        </div>
        <div class="form-group">
            Alreay have an accoun? <a href="{{ url_for('login') }}">Log in</a>
        </div>
    </form>
</div>

{% with messages = get_flashed_messages() %} {% if messages %}
<ul>
    {% for message in messages %}
    <li>{{ message }}</li>
    {% endfor %}
</ul>
{% endif %} {% endwith %}


<!-- <form action="" method="post">
    {{ form.hidden_tag() }}
    <p>
        {{ form.email.label }}<br> {{ form.email(size=64) }}<br> {% for error in form.email.errors %}
        <span style="color: red;">[{{ error }}]</span> {% endfor %}
    </p>
    <p>
        {{ form.email2.label }}<br> {{ form.email2(size=64) }}<br> {% for error in form.email.errors %}
        <span style="color: red;">[{{ error }}]</span> {% endfor %}
    </p>
    <p>
        {{ form.password.label }}<br> {{ form.password(size=32) }}<br> {% for error in form.password.errors %}
        <span style="color: red;">[{{ error }}]</span> {% endfor %}
    </p>
    <p>
        {{ form.username.label }}<br> {{ form.username(size=32) }}<br> {% for error in form.username.errors %}
        <span style="color: red;">[{{ error }}]</span> {% endfor %}
    </p>
    <p>
        Date of Birth<br>{{ form.year.label }} {{ form.year(size=6) }} {{form.month }} {{ form.date.label }} {{ form.date(size=6) }}<br> {% for error in form.year.errors %}
        <span style="color: red;">[{{ error }}]</span> {% endfor %}
    </p>
    <p>
        {{ form.gender }}
    </p>

    <p>{{ form.submit() }}</p>
</form> -->